#include <Arduino.h>
#include "Led.h"
#include "Feu.h"
int main()
{
    // Initialise la bibliothèque Arduino
    init();
    Serial.begin(115200);

    Led ledR(4, true);      // pin4, oneLogic
    Led ledV(2, true);      // pin2, oneLogic
    Led ledO(3, false);     // pin3, zeroLogic

    Feu f(ledV, ledO, ledR);            // un feu de signalisation
    f.set_duration(4000, 1000, 4000);   // durées des allumages
    f.set_mode(MODE_AUTO);              // mode automatique

    while (1)       // ou loop() de Arduino
    {
        char c = Serial.read();
        switch (c){
        case 'M': f.set_mode(MODE_MANUEL); break;
        case 'A': f.set_mode(MODE_AUTO); break;
        case 'O': f.set_mode(MODE_ORANGE_CLI);break;
        }
        f.sync();
    }
}
